AWS IoT Device SDK C++ v2: Aws::Crt::Auth::Sigv4HttpRequestSigner Class Reference

AWS IoT Device SDK C++ v2 1.14.0 AWS IoT Device SDK C++ v2

Public Member Functions | List of all members
Aws::Crt::Auth::Sigv4HttpRequestSigner Class Reference

`#include <Sigv4Signing.h>`

Inheritance diagram for Aws::Crt::Auth::Sigv4HttpRequestSigner:

## Public Member Functions
| Sigv4HttpRequestSigner (Allocator *allocator=g_allocator)
virtual | ~Sigv4HttpRequestSigner ()=default
bool | IsValid () const override
virtual bool | SignRequest (const std::shared_ptr< Aws::Crt::Http::HttpRequest > &request, const ISigningConfig &config, const OnHttpRequestSigningComplete &completionCallback) override
Public Member Functions inherited from Aws::Crt::Auth::IHttpRequestSigner
| IHttpRequestSigner ()=default
| IHttpRequestSigner (const IHttpRequestSigner &)=delete
| IHttpRequestSigner (IHttpRequestSigner &&)=delete
IHttpRequestSigner & | operator= (const IHttpRequestSigner &)=delete
IHttpRequestSigner & | operator= (IHttpRequestSigner &&)=delete
virtual | ~IHttpRequestSigner ()=default

## Detailed Description

Http request signer that performs Aws Sigv4 signing. Expects the signing configuration to be and instance of AwsSigningConfig

## Constructor & Destructor Documentation

## ◆ Sigv4HttpRequestSigner()

Aws::Crt::Auth::Sigv4HttpRequestSigner::Sigv4HttpRequestSigner | ( | Allocator * | allocator = `g_allocator` | ) |

## ◆ ~Sigv4HttpRequestSigner()

virtual Aws::Crt::Auth::Sigv4HttpRequestSigner::~Sigv4HttpRequestSigner | ( |  | ) |
| virtualdefault

## Member Function Documentation

## ◆ IsValid()

bool Aws::Crt::Auth::Sigv4HttpRequestSigner::IsValid | ( |  | ) | const
| inlineoverridevirtual

Returns
  Whether or not the signer is in a valid state

Implements Aws::Crt::Auth::IHttpRequestSigner.

## ◆ SignRequest()

bool Aws::Crt::Auth::Sigv4HttpRequestSigner::SignRequest | ( | const std::shared_ptr< Aws::Crt::Http::HttpRequest > & | request,
|  | const ISigningConfig & | config,
|  | const OnHttpRequestSigningComplete & | completionCallback
| ) |  |
| overridevirtual

Signs an http request with AWS-auth sigv4. OnCompletionCallback will be invoked upon completion.

Implements Aws::Crt::Auth::IHttpRequestSigner.

The documentation for this class was generated from the following files:

- crt/aws-crt-cpp/include/aws/crt/auth/Sigv4Signing.h
- crt/aws-crt-cpp/source/auth/Sigv4Signing.cpp